

<div *ngIf="!submitForm" class="container registratinForm" >
    <h1 class="heading" >Two-step verification Form</h1>

        <div class="">
<form [formGroup]="verificationForm" (ngSubmit)="onSubmit()">
    <div class="form-group m-2">
        <label for="name">Name</label>
        <input  type="text" formControlName="name" class="form-control"  />
            <div class="error-div" *ngIf="verificationForm.controls['name'].errors?.['required'] && (verificationForm.controls['name'].touched || isSubmited)" >Name is required</div>
    </div>
    <div class="form-group m-2">
        <label for="email">Email</label>
        <input type="text" formControlName="email" class="form-control"  />
            <div class="error-div" *ngIf="verificationForm.controls['email'].errors?.['required'] && (verificationForm.controls['email'].touched || isSubmited)" >email is required</div>
            <div  class="error-div" *ngIf="verificationForm.controls['email'].errors?.['pattern'] && (verificationForm.controls['email'].touched || isSubmited)" >not a valid pattern for email</div>
    </div>

    <div class="form-group m-2">
        <label for="phone">phone</label>
        <input type="number" formControlName="phone" class="form-control"  />
        <div class="error-div" *ngIf="verificationForm.controls['phone'].errors?.['required'] && (verificationForm.controls['phone'].touched || isSubmited)" >phone is required</div>
        <div class="error-div" *ngIf="verificationForm.controls['phone'].errors?.['pattern']  && (verificationForm.controls['phone'].touched || isSubmited)" >phone number length should be exact 10 </div>
    </div>

    <div class="form-group m-2">
        <label for="gender">Gender</label>
        <mat-radio-group aria-label="gender" class="form-control"  formControlName="gender">
            <mat-radio-button value="male">Male</mat-radio-button>
            <mat-radio-button value="female">Female</mat-radio-button>
        </mat-radio-group>
            <div class="error-div" *ngIf="verificationForm.controls['gender'].errors?.['required'] && (verificationForm.controls['gender'].touched || isSubmited)" >gender is required</div>
    </div>

    
    <button type="submit "  class="btn btn-primary m-2" >Submit</button>
</form>
</div>
</div>
<div *ngIf="submitForm" class="container">
<app-otp-verification [registrationData]="ArrayOfformVAlue"  (back)="flagstatus($event)" ></app-otp-verification>
</div>